IRPCClientScript.GetScriptApplication

View as Markdown

Vault API / standard write session

Gets one application by its GUID.

ServiceClient scripts and UI extension applications MFiles.IRPCClientScript
gRPC method/MFiles.IRPCClientScript/GetScriptApplication
HTTP (mf-http-grpc)POST /grpc/v1/get-script-application
RequestGetScriptApplicationRequest
ResponseGetScriptApplicationResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetScriptApplicationRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
script_applicationstringThe GUID of the application.

Response: GetScriptApplicationResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
applicationExtApplicationThe application. See ExtApplication.
application.guidstringThe application identifier.
application.namestringThe application name.
application.versionstringThe application version (author set).
application.descriptionstringThe application name.
application.publisherstringThe application publisher.
application.is_enabledboolTrue if the application is enabled. Note: this is a user-specific value and is not stored with the application data. Relevant for client applications only.
application.is_optionalboolTrue if the application is optional (i.e. can be disabled). Relevant for client applications only.
application.requires_system_accessboolTrue if this application requires system access. Relevant for client applications only.
application.md5_checksumstringThe application checksum (hash value).
application.master_applicationstringThe guid for the master application. GUID_NULL if there is no master application.
application.typeExtApplicationTypeThe application type.Values: EXT_APPLICATION_TYPE_UNSPECIFIED (0), EXT_APPLICATION_TYPE_CLIENT (1), EXT_APPLICATION_TYPE_SERVER (2).
application.is_multi_server_compatibleboolIndicates if application has been designed to work in multi-server environment.
application.published_atgoogle.protobuf.TimestampPublishing date. Zero values if date has not been defined.
application.platformsint32The binary value of the application platfroms supported.
application.vault_app_dependencies[]repeated VaultApplicationDependencyVault application dependencies.
application.vault_app_dependencies[].guidstringThe application identifier.
application.vault_app_dependencies[].namestringThe name of the required vault application.
application.vault_app_dependencies[].versionstringThe minimum required application version.
application.vault_app_dependencies[].requiredboolTrue if the application is required to be at at least the minimum version.
application.is_signed_and_verifiedboolTrue if the application is signed and has been verified.
application.hot_swappableboolTrue if the application can be deployed without vault restart. Applicable for server-side vault applications only.